<form [formGroup]="form" class="filter" (ngSubmit)="onSubmit()">
  <ng-content select="[before]"></ng-content>
  <div class="search-form-wrapper">
    <div class="search-form-content">
      <div class="form-field">
        <label class="visualy-hidden" for="criteria-select">{{ 'SEARCH.FIELDS.LABELS.FILTER' | translate }}</label>
        <ng-select id="criteria-select" aria-describedby="criteria-select-description" formControlName="criteria" [virtualScroll]="true" [items]="criteria" bindLabel="displayValue"
          [multiple]="true" [placeholder]="placeholder" [searchFn]="searchCriterias" [addTag]="enableKeywords && addKeywords" [addTagText]="'SEARCH.ADD_TAG' | translate"
          class="padding-right">
          <ng-template ng-option-tmp let-item="item">
            <span [ngClass]="item._lvlClass" class="layout column">
              {{ item.displayValue }}
              <span class="criterium-type" [ngClass]="item.type">{{ item.type }}</span>
            </span>
          </ng-template>
          <ng-template ng-label-tmp let-item="item" let-clear="clear">
            <span class="ng-value-content" [ngClass]="item.type">
              <span class="ng-value-icon left" (click)="clear(item);" aria-hidden="true">×</span>
              <span class="ng-value-label">{{ item.displayValue }}</span>
            </span>
          </ng-template>
        </ng-select>
      </div>
      <button type="submit">
        <span class="visualy-hidden">{{ 'SEARCH.SUBMIT' | translate }}</span>
        <ng-content select="[submit-icon]"></ng-content>
      </button>
    </div>
    <ng-container *ngIf="sortable">
      <button type="button" class="sortable-trigger" tabindex="-1" aria-hidden="true" (click)="openSortSelect(sortSelect)">
        <div class="sort-icon">
          <div aria-hidden="true"></div>
          <div aria-hidden="true"></div>
          <div aria-hidden="true"></div>
        </div>
      </button>
      <label for="sortableSelect" class="visualy-hidden">{{ 'SORT.LABEL' | translate }}</label>
      <ng-select #sortSelect formControlName="sort" labelForId="sortableSelect" class="sortable-select" [searchable]="false" [clearable]="false">
        <ng-option value="price_asc" [innerHTML]="'SEARCH.SORT.PRICE_ASC' | translate"></ng-option>
        <ng-option value="price_desc" [innerHTML]="'SEARCH.SORT.PRICE_DESC' | translate"></ng-option>
        <ng-option value="alpha_asc" [innerHTML]="'SEARCH.SORT.ALPHA_ASC' | translate"></ng-option>
        <ng-option value="alpha_desc" [innerHTML]="'SEARCH.SORT.ALPHA_DESC' | translate"></ng-option>
        <ng-option value="year_asc" [innerHTML]="'SEARCH.SORT.YEAR_ASC' | translate"></ng-option>
        <ng-option value="year_desc" [innerHTML]="'SEARCH.SORT.YEAR_DESC' | translate"></ng-option>
      </ng-select>
    </ng-container>
  </div>
</form>
